Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 2760853002: Remove use of PRODUCT_STRING_PATH in chrome_elf. (Closed)

Created:
2 years, 5 months ago by grt (UTC plus 2)
Modified:
2 years, 4 months ago
Reviewers:
penny, csharp
CC:
chromium-reviews, grt+watch_chromium.org, pennymac+watch_chromium.org, wfh+watch_chromium.org, caitkp+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove use of PRODUCT_STRING_PATH in chrome_elf. The blacklist and browser security code now use install_static's GetRegistryPath function to get the brand- and install mode-specific path to a spot in the registry for various data stuffage. BUG=577820, 650982 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.win:win10_chromium_x64_rel_ng Review-Url: https://codereview.chromium.org/2760853002 Cr-Commit-Position: refs/heads/master@{#461064} Committed: https://chromium.googlesource.com/chromium/src/+/b4cab81eb31fc479ab7583d6cbfab9288750aeb5

Patch Set 1 #

Total comments: 2

Patch Set 2 : compile fix #

Total comments: 1

Patch Set 3 : now #

Unified diffs Side-by-side diffs Delta from patch set Stats (+65 lines, -52 lines) Patch
M chrome/browser/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/win/chrome_elf_init.cc View 1 2 4 chunks +16 lines, -7 lines 0 comments Download
M chrome/browser/win/chrome_elf_init_unittest.cc View 2 chunks +4 lines, -1 line 0 comments Download
M chrome/installer/setup/uninstall.cc View 1 chunk +8 lines, -13 lines 0 comments Download
M chrome_elf/BUILD.gn View 1 2 2 chunks +2 lines, -0 lines 0 comments Download
M chrome_elf/blacklist/blacklist.cc View 2 chunks +8 lines, -2 lines 0 comments Download
M chrome_elf/blacklist/test/blacklist_test.cc View 1 2 2 chunks +4 lines, -1 line 0 comments Download
M chrome_elf/chrome_elf_constants.h View 2 chunks +5 lines, -7 lines 0 comments Download
M chrome_elf/chrome_elf_constants.cc View 2 chunks +2 lines, -17 lines 0 comments Download
M chrome_elf/chrome_elf_security.cc View 2 chunks +6 lines, -2 lines 0 comments Download
M chrome_elf/chrome_elf_util_unittest.cc View 2 chunks +5 lines, -2 lines 0 comments Download
M chrome_elf/run_all_unittests.cc View 1 2 2 chunks +4 lines, -0 lines 0 comments Download

Messages

Total messages: 39 (32 generated)
grt (UTC plus 2)
PTAL. pennymac: I also deleted what appeared to be an unused constant in elf_sec. Did ...
2 years, 5 months ago (2017-03-20 11:14:32 UTC) #5
grt (UTC plus 2)
https://codereview.chromium.org/2760853002/diff/1/chrome/browser/win/chrome_elf_init.cc File chrome/browser/win/chrome_elf_init.cc (right): https://codereview.chromium.org/2760853002/diff/1/chrome/browser/win/chrome_elf_init.cc#newcode137 chrome/browser/win/chrome_elf_init.cc:137: blacklist::kRegistryBeaconPath, oops, missed this one. will address in the ...
2 years, 5 months ago (2017-03-20 12:55:20 UTC) #8
csharp
lgtm
2 years, 5 months ago (2017-03-20 13:31:45 UTC) #9
grt (UTC plus 2)
Thanks. https://codereview.chromium.org/2760853002/diff/1/chrome/browser/win/chrome_elf_init.cc File chrome/browser/win/chrome_elf_init.cc (right): https://codereview.chromium.org/2760853002/diff/1/chrome/browser/win/chrome_elf_init.cc#newcode137 chrome/browser/win/chrome_elf_init.cc:137: blacklist::kRegistryBeaconPath, On 2017/03/20 12:55:20, grt (UTC plus 1) ...
2 years, 5 months ago (2017-03-20 20:13:36 UTC) #12
penny
On 2017/03/20 20:13:36, grt (UTC plus 2) wrote: > Thanks. > > https://codereview.chromium.org/2760853002/diff/1/chrome/browser/win/chrome_elf_init.cc > File ...
2 years, 4 months ago (2017-03-30 18:16:27 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2760853002/80001
2 years, 4 months ago (2017-03-31 05:46:18 UTC) #36
commit-bot: I haz the power
2 years, 4 months ago (2017-03-31 06:59:39 UTC) #39
Message was sent while issue was closed.
Committed patchset #3 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/b4cab81eb31fc479ab7583d6cbfa...

Powered by Google App Engine
This is Rietveld 408576698